org.eclipse.wst.jsdt.chromium

## Class Breakpoint.Target.ScriptId

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.Breakpoint.Target
  - - org.eclipse.wst.jsdt.chromium.Breakpoint.Target.ScriptId

Enclosing class:
  Breakpoint.Target

    public static class Breakpoint.Target.ScriptId
    extends Breakpoint.Target

A target that refers to a script by its id.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.Breakpoint.Target

`Breakpoint.Target.ScriptId, Breakpoint.Target.ScriptName, Breakpoint.Target.Visitor<R>`

### Constructor Summary

Constructors
Constructor and Description
`ScriptId(java.lang.Object id)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<R> R` `accept(Breakpoint.Target.Visitor<R> visitor)` Dispatches call on the actual Target type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptId

    public ScriptId(java.lang.Object id)

### Method Detail

#### accept

    public <R> R accept(Breakpoint.Target.Visitor<R> visitor)

Description copied from class: `Breakpoint.Target`
Dispatches call on the actual Target type.

Specified by:
  `accept` in class `Breakpoint.Target`
Parameters:
  `visitor` - user-provided `Breakpoint.Target.Visitor` that may also implement some additional interfaces (for extended types) that is checked on runtime
See Also:
  `BreakpointTypeExtension`